# coding:utf-8

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

from __future__ import print_function
from __future__ import division
from __future__ import absolute_import
import os
from dynamicui_base import DynamicUIBase

available_flags = ['lve_hideuserstat']

# TODO: make some base class and avoid naming methods like 'sync_plesk'
class DynamicUIPlesk(DynamicUIBase):
    PLESK_CONFIG = '/usr/local/psa/admin/plib/modules/lvemanager.conf'
    PLESK_CUSTOM_BUTTON = '/usr/local/psa/bin/custombutton'

    def sync(self, interpreter):
        if interpreter in ['all']:
            return None

    def plesk_check_param(self, param):
        if os.path.exists(self.PLESK_CONFIG):
            return self.__get_param(self.PLESK_CONFIG, param)
        else:
            return False

    @staticmethod
    def __get_param(path, param):
        try:
            fd = open(path)
            data = fd.readlines()
        except (OSError, IOError) as e:
            return False
        for line in data:
            if line.startswith("%s=" % param):
                fd.close()
                return (line.strip().split("="))[1]
        return None
